# Generated by Django 3.1.5 on 2022-05-13 19:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0017_auto_20220513_2106'),
    ]

    operations = [
        migrations.CreateModel(
            name='ReviewRoute',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rating', models.IntegerField(verbose_name='Средняя оценка')),
                ('rating_org', models.FloatField(blank=True, null=True, verbose_name='Организация')),
                ('rating_imp', models.FloatField(blank=True, null=True, verbose_name='Впечатления')),
                ('rating_service', models.FloatField(blank=True, null=True, verbose_name='Сервис')),
                ('rating_price', models.FloatField(blank=True, null=True, verbose_name='Цена')),
                ('review_text', models.TextField(blank=True, max_length=1000, null=True, verbose_name='Текст')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Изменено')),
                ('route', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.route', verbose_name='Маршрут')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tourism.user', verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Обзор маршрута',
                'verbose_name_plural': 'Обзоры маршрутов',
                'ordering': ['user__id', 'route__name', 'rating'],
            },
        ),
        migrations.CreateModel(
            name='ReviewPlace',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rating', models.IntegerField(verbose_name='Средняя оценка')),
                ('rating_org', models.FloatField(blank=True, null=True, verbose_name='Организация')),
                ('rating_imp', models.FloatField(blank=True, null=True, verbose_name='Впечатления')),
                ('rating_service', models.FloatField(blank=True, null=True, verbose_name='Сервис')),
                ('rating_price', models.FloatField(blank=True, null=True, verbose_name='Цена')),
                ('review_text', models.TextField(blank=True, max_length=1000, null=True, verbose_name='Текст')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Изменено')),
                ('place', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.place', verbose_name='Место')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tourism.user', verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Обзор места',
                'verbose_name_plural': 'Обзоры мест',
                'ordering': ['user__id', 'place__name', 'rating'],
            },
        ),
        migrations.CreateModel(
            name='RatingRoute',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('avg_rating', models.FloatField(default=0, verbose_name='Общая средняя оценка')),
                ('avg_rating_org', models.FloatField(blank=True, null=True, verbose_name='Организация')),
                ('avg_rating_imp', models.FloatField(blank=True, null=True, verbose_name='Впечатления')),
                ('avg_rating_service', models.FloatField(blank=True, null=True, verbose_name='Сервис')),
                ('avg_rating_price', models.FloatField(blank=True, null=True, verbose_name='Цена')),
                ('number_of_ratings', models.IntegerField(default=0, verbose_name='Количество оценок')),
                ('route', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.route', verbose_name='Маршрут')),
            ],
            options={
                'verbose_name': 'Рейтинг маршрута',
                'verbose_name_plural': 'Рейтинги маршрутов',
                'ordering': ['route__name', 'avg_rating'],
            },
        ),
        migrations.CreateModel(
            name='RatingPlace',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('avg_rating', models.FloatField(default=0, verbose_name='Общая средняя оценка')),
                ('avg_rating_org', models.FloatField(blank=True, null=True, verbose_name='Организация')),
                ('avg_rating_imp', models.FloatField(blank=True, null=True, verbose_name='Впечатления')),
                ('avg_rating_service', models.FloatField(blank=True, null=True, verbose_name='Сервис')),
                ('avg_rating_price', models.FloatField(blank=True, null=True, verbose_name='Цена')),
                ('number_of_ratings', models.IntegerField(default=0, verbose_name='Количество оценок')),
                ('place', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.place', verbose_name='Место')),
            ],
            options={
                'verbose_name': 'Рейтинг места',
                'verbose_name_plural': 'Рейтинги мест',
                'ordering': ['place__name', 'avg_rating'],
            },
        ),
        migrations.AddConstraint(
            model_name='reviewroute',
            constraint=models.UniqueConstraint(fields=('route', 'user'), name='review_route'),
        ),
        migrations.AddConstraint(
            model_name='reviewplace',
            constraint=models.UniqueConstraint(fields=('place', 'user'), name='review_place'),
        ),
        migrations.AddConstraint(
            model_name='ratingroute',
            constraint=models.UniqueConstraint(fields=('route',), name='rating_route'),
        ),
        migrations.AddConstraint(
            model_name='ratingplace',
            constraint=models.UniqueConstraint(fields=('place',), name='rating_place'),
        ),
    ]
